summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorGravatar RaNaN <Mast3rRaNaN@hotmail.de> 2013-06-30 17:35:20 +0200
committerGravatar RaNaN <Mast3rRaNaN@hotmail.de> 2013-06-30 17:35:20 +0200
commit4a2a47d5cd6e1e9411957bf54783daa9e32d7c20 (patch)
treed06e66facd6ea0b2e57be403e7e53a86542d16a3 /tests
parentUpdate README.md (diff)
downloadpyload-4a2a47d5cd6e1e9411957bf54783daa9e32d7c20.tar.xz
added logo with outline
Diffstat (limited to 'tests')
-rwxr-xr-xtests/code_analysis.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/tests/code_analysis.sh b/tests/code_analysis.sh
index 118bee0da..e027bac2f 100755
--- a/tests/code_analysis.sh
+++ b/tests/code_analysis.sh
@@ -5,13 +5,12 @@ sloccount --duplicates --wide --details pyload > sloccount.sc
echo "Running pep8"
pep8 pyload > pep8.txt
+echo "Running pylint"
+pylint --reports=no pyload > pylint.txt || exit 0
+
#echo "Running pyflakes"
# pyflakes to pylint syntak
#find -name '*.py' |egrep -v '^.(/tests/|/pyload/lib)'|xargs pyflakes > pyflakes.log || :
# Filter warnings and strip ./ from path
#cat pyflakes.log | awk -F\: '{printf "%s:%s: [E]%s\n", $1, $2, $3}' | grep -i -E -v "'_'|pypath|webinterface|pyreq|addonmanager" > pyflakes.txt
-#sed -i 's/^.\///g' pyflakes.txt
-
-
-echo "Running pylint"
-pylint --reports=no pyload > pylint.txt || exit 0 \ No newline at end of file
+#sed -i 's/^.\///g' pyflakes.txt \ No newline at end of file